Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.graphics.positionpaint
Class PositionPaintFactory

    java.lang.Object
      info.bioinfweb.treegraph.graphics.positionpaint.PositionPaintFactory

    public class PositionPaintFactory

extends java.lang.Object

Field Summary
`private java.util.EnumMap<PositionPaintType,SinglePositionPaintFactory>` | `factories`
`private static PositionPaintFactory` | `firstInstance`

Constructor Summary
`private` | `PositionPaintFactory()`

Method Summary
`private void` | `fillFactoryList()`
`static PositionPaintType` | `getDefaultType()`
`static PositionPaintFactory` | `getInstance()`
`java.lang.String` | `getName(PositionPaintType type)`
`TreePainter` | `getPainter(PositionPaintType type)`
`TreePositioner` | `getPositioner(PositionPaintType type)`
`PositionPaintType` | `getType(TreePainter painter)`
`PositionPaintType` | `getType(TreePositioner positioner)`
`java.lang.String[]` | `names()`
`boolean` | `needsBrancheLengths(PositionPaintType type)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### firstInstance

    private static PositionPaintFactory firstInstance

### factories

    private java.util.EnumMap<PositionPaintType,SinglePositionPaintFactory> factories

Constructor Detail

### PositionPaintFactory

    private PositionPaintFactory()

Method Detail

### getInstance

    public static PositionPaintFactory getInstance()

### fillFactoryList

    private void fillFactoryList()

### getPositioner

    public TreePositioner getPositioner(PositionPaintType type)

### getPainter

    public TreePainter getPainter(PositionPaintType type)

### getName

    public java.lang.String getName(PositionPaintType type)

### needsBrancheLengths

    public boolean needsBrancheLengths(PositionPaintType type)

### getType

    public PositionPaintType getType(TreePositioner positioner)

### getType

    public PositionPaintType getType(TreePainter painter)

### getDefaultType

    public static PositionPaintType getDefaultType()

### names

    public java.lang.String[] names()

### size

    public int size()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD